@import 'fonts.css';
@import 'phosphor.css';

:root {
  --raven: #010714;
  --raven-light: hsl(from var(--raven) h 20% calc(l + 15));
  --raven-lightest: hsl(from var(--raven) h 20% calc(l + 35));
  --dust: #d3d0cb;
  --alabaster: #e7e5df;
  --ocean: #44bba4;
  --sun: #e7bb41;

  --red: hsl(341, 90%, 15%);
  --orange: hsl(21, 90%, 15%);
  --yellow: hsl(61, 90%, 15%);
  --green: hsl(101, 90%, 15%);
  --blue: hsl(221, 90%, 15%);
  --purple: hsl(281, 90%, 15%);

  --color-border: var(--raven-light);

  --font-heading: 'Basteleur Moonlight', serif;
  --font-body: 'IBM Plex Sans', sans-serif;

  --gap-small: 0.5rem;
  --gap-medium: 1rem;
  --gap-large: 2rem;
}

* {
  box-sizing: border-box;
}

html, body {
  margin: 0;
  padding: 0;
  height: 100%;
}

body {
  background: var(--raven);
  color: var(--dust);
  font-family: var(--font-body);
}

#app, #container { height: 100% }

h1 {
  font-family: var(--font-heading);
  font-size: 14pt;
  margin: 0.5rem 1rem 0.3rem;
}

nav {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  height: 4rem;

  background: var(--raven-light);

  .nav__button {
    --size: 3rem;
    --half-size: calc(var(--size) / 2);

    position: absolute;
    left: 50%;
    border-radius: 50%;
    width: var(--size);
    height: var(--size);
    margin: calc(-1 * var(--half-size)) 0 0 calc(-1 * var(--half-size));

    box-shadow: 0 0 3px 3px hsl(from var(--sun) h s l / 0.35), 0 0 0 6px var(--raven);
  }
}

.btn {
  border-width: 0;
  border-radius: 0.25rem;
  font-size: 14pt;
  padding: 0.5rem;

  background: var(--raven-light);
  color: var(--dust);
}
.btn--primary {
  background: var(--sun);
  color: var(--raven-light);
}
.btn--secondary {
  background: none;
  color: var(--ocean);
}

.field {
  font-size: 10pt;

  .field__label {
    display: inline-block;
    margin-right: 0.3rem;

    color: var(--raven-lightest);
  }
}

.entry {
  --base-color: var(--raven-light);
  --time-size: 9pt;

  display: grid;
  grid-template-columns: auto 1fr;
  gap: var(--gap-small);

  .entry__time {
    font-size: var(--time-size);
    position: relative;

    &::before {
      content: attr(data-start);
      display: block;
      position: absolute;
      width: 100%;

      bottom: 0;

      background-color: var(--raven);
      color: var(--raven-lightest);
    }

    &::after {
      content: '';
      display: block;
      position: absolute;
      width: 0;
      z-index: -1;

      left: var(--gap-medium);
      bottom: calc(-1 * var(--gap-small));
      top: calc(var(--time-size) + 3pt);

      border-right: 2px solid var(--color-border);
    }
  }

  .entry__card {
    border-radius: 0.25rem;
    padding: 0.3rem 0.6rem;

    background: linear-gradient(to bottom, var(--base-color), var(--raven));
    border: 1px solid var(--base-color);
  }
}
.entry--compact {
  .entry__card, .entry__fields {
    display: flex;
    flex-direction: row;
    gap: var(--gap-medium);
    align-items: center;
  }
}
.entry--red .entry__card { --base-color: var(--red) }
.entry--orange .entry__card { --base-color: var(--orange) }
.entry--yellow .entry__card { --base-color: var(--yellow) }
.entry--green .entry__card { --base-color: var(--green) }
.entry--blue .entry__card { --base-color: var(--blue) }
.entry--purple .entry__card { --base-color: var(--purple) }

.log {
  display: flex;
  flex-direction: column;
  gap: var(--gap-small);
  padding: 0.3rem;
}
